# FoundationClasses
TKMath
TColgp

# TColgp_DataMapIteratorOfDataMapOfIntegerCirc2d Class Reference

`#include <TColgp_DataMapIteratorOfDataMapOfIntegerCirc2d.hxx>`

Inheritance diagram for TColgp_DataMapIteratorOfDataMapOfIntegerCirc2d:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColgp_DataMapIteratorOfDataMapOfIntegerCirc2d ()
Standard_EXPORT | TColgp_DataMapIteratorOfDataMapOfIntegerCirc2d (const TColgp_DataMapOfIntegerCirc2d &aMap)
Standard_EXPORT void | Initialize (const TColgp_DataMapOfIntegerCirc2d &aMap)
Standard_EXPORT const Standard_Integer & | Key () const
Standard_EXPORT const gp_Circ2d & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT TColgp_DataMapIteratorOfDataMapOfIntegerCirc2d::TColgp_DataMapIteratorOfDataMapOfIntegerCirc2d | ( |  | ) |

Standard_EXPORT TColgp_DataMapIteratorOfDataMapOfIntegerCirc2d::TColgp_DataMapIteratorOfDataMapOfIntegerCirc2d | ( | const TColgp_DataMapOfIntegerCirc2d & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TColgp_DataMapIteratorOfDataMapOfIntegerCirc2d::Initialize | ( | const TColgp_DataMapOfIntegerCirc2d & | aMap | ) |

Standard_EXPORT const Standard_Integer& TColgp_DataMapIteratorOfDataMapOfIntegerCirc2d::Key | ( |  | ) | const

void TColgp_DataMapIteratorOfDataMapOfIntegerCirc2d::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

void* TColgp_DataMapIteratorOfDataMapOfIntegerCirc2d::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

void* TColgp_DataMapIteratorOfDataMapOfIntegerCirc2d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

Standard_EXPORT const gp_Circ2d& TColgp_DataMapIteratorOfDataMapOfIntegerCirc2d::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- TColgp_DataMapIteratorOfDataMapOfIntegerCirc2d.hxx